Image 01
profile-image

fudokai

alan prescott
abakus

Utilities 15 comments

Score 50.0%
May 08 2006
I had no problems installing abakus on my old PC but I've now got an x86_64 job and I get the following error during make

g++ -Wl,--rpath=/usr/lib/qt3/lib -Wl,--rpath=/opt/kde3/lib64 -Wl,--rpath=/opt/kde3/lib64/kde3 -Wl,--rpath=/usr/lib/qt3/lib -Wl,--rpath=/opt/kde3/lib64/kde3 -Wl,--rpath=/opt/kde3/lib64 -Wl,--as-needed -o src/abakus src/abakus.o src/abakuslistview.o src/dragsupport.o src/editor.o src/evaluator.o src/function.o src/lexer_lex.o src/mainwindow.o src/node.o src/numerictypes.o src/parser_yacc.o src/result.o src/resultlistview.o src/resultlistviewtext.o src/rpnmuncher.o src/valuemanager.o src/dcopIface_skel.o src/hmath.o src/number.o -L/opt/kde3/lib64 -L/usr/lib/qt3/lib -lqt-mt -lkio -lkdecore -lkdeprint -lkdeui
/usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /usr/lib/qt3/lib/libqt-mt.so when searching for -lqt-mt
/usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: cannot find -lqt-mt
collect2: ld returned 1 exit status
scons: *** [src/abakus] Error 1
make: *** [all] Error 2

I've got qt3 and qt3-32bit installed - is this the cause and is there a cure? - Jan 15 2006